Subject: [Sip] Re: changing of media types allowed in offer/answer and SIP open issue #24

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 27 Dec 2001 11:35:09 -0500

Indeed, consensus at IETF 52 was to allow reuse. #24 is considered resolved.

-Jonathan R.

Paul Kyzivat wrote:

> I think the restriction is silly. 
> 
> I don't see why any piece of code that can keep track of the positional
> assignments, including media that have been refused, should have any
> trouble reusing a previous slot for a new purpose. And changing the
> media type in one step is more or less the same thing.
> 
> So why not allow those slots to be reused? 
> We may yet see applications where there are enough reinvites with
> changes in media that recycling of slots is important.
> 
> 	Paul
> 
> Jonathan Rosenberg wrote:
> 
>>Folks,
>>
>>draft-rosenberg-mmusic-sdp-offer-answer-00.txt currently says:
>>
>> The media type (audio, video, etc.) for a stream MAY be changed. This
>>   is particularly useful for changing between voice and fax in a single
>>   stream, which are both separate media types. To do this, the offerer
>>   creates a new media description, with a new media type, in place of
>>   the description in the previous SDP which is to be changed. The IP
>>   address and port for the stream MAY change, or MAY remain the same.
>>   However, the list of payload type numbers for the new codecs MUST be
>>   different than any used previously for this stream.
>>
>>This is somewhat linked to the current sip open issue #24 about whether or
>>not you can reuse a media stream "slot" which has been previously disabled
>>with port=0. After all, changing the media type is really the same, more or
>>less, as using a new media stream in place of where an old one was. I think
>>leaning of consensus in the sip group was to disallow such reuse (although I
>>can't remember at this moment what the reasoning was), and that would argue
>>for removing the above capability.
>>
>>Comments or thoughts on this?
>>
>>-Jonathan R.
>>
>>---
>>Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
>>Chief Scientist                             First Floor
>>dynamicsoft                                 East Hanover, NJ 07936
>>[email-masked]                     FAX:   (973) 952-5050
>>http://www.jdrosen.net                      PHONE: (973) 952-5000
>>http://www.dynamicsoft.com
>>
>>
> 

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip